[android-components](../../../index.md) / [mozilla.components.concept.sync](../../index.md) / [DeviceEvent](../index.md) / [TabReceived](./index.md)

# TabReceived

`class TabReceived : `[`DeviceEvent`](../index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/sync/src/main/java/mozilla/components/concept/sync/DeviceEvents.kt#L18)

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `TabReceived(from: `[`Device`](../../-device/index.md)`?, entries: `[`List`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-list/index.html)`<`[`TabData`](../../-tab-data/index.md)`>)` |

### Properties

| Name | Summary |
|---|---|
| [entries](entries.md) | `val entries: `[`List`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-list/index.html)`<`[`TabData`](../../-tab-data/index.md)`>` |
| [from](from.md) | `val from: `[`Device`](../../-device/index.md)`?` |

### Extension Functions

| Name | Summary |
|---|---|
| [into](../../../mozilla.components.service.fxa/into.md) | `fun `[`TabReceived`](./index.md)`.into(): TabReceived` |
